%{?mingw_package_header}

Name:           mingw-libwebp
Version:        1.4.0
Release:        %mkrel 1
Summary:        MinGW compilation of Library and tools for the WebP format

License:        BSD
Group:          Development/Other
URL:            https://webmproject.org
Source0:        http://downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz

BuildArch:      noarch
# Add version suffix to mingw libraries
Patch1:         libwebp-mingw-libsuffix.patch
# Fix cmake module install location
Patch2:         libwebp-cmakedir.patch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-giflib
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-giflib
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libjpeg


%description

WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

# Win32
%package -n mingw32-libwebp
Summary:        MinGW compilation of Library and tools for the WebP format


%description -n mingw32-libwebp
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


# Win64
%package -n mingw64-libwebp
Summary:        MinGW compilation of Library and tools for the WebP format

%description -n mingw64-libwebp
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%{?mingw_debug_package}


%prep
%setup -q -n libwebp-%{version}
%autopatch -p1


%build
%mingw_cmake -DWEBP_BUILD_VWEBP=OFF
%mingw_make_build


%install
%mingw_make_install

#drop unneeded files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

%mingw_debug_install_post

# Win32
%files -n mingw32-libwebp
%license PATENTS COPYING
%{mingw32_bindir}/cwebp.exe
%{mingw32_bindir}/dwebp.exe
%{mingw32_bindir}/gif2webp.exe
%{mingw32_bindir}/img2webp.exe
%{mingw32_bindir}/webpinfo.exe
%{mingw32_bindir}/webpmux.exe
%{mingw32_bindir}/libwebp-7.dll
%{mingw32_bindir}/libwebpdecoder-3.dll
%{mingw32_bindir}/libwebpdemux-2.dll
%{mingw32_bindir}/libwebpmux-3.dll
%{mingw32_bindir}/libsharpyuv-0.dll
%{mingw32_includedir}/webp/
%{mingw32_libdir}/pkgconfig/libwebp.pc
%{mingw32_libdir}/pkgconfig/libwebpdecoder.pc
%{mingw32_libdir}/pkgconfig/libwebpdemux.pc
%{mingw32_libdir}/pkgconfig/libwebpmux.pc
%{mingw32_libdir}/pkgconfig/libsharpyuv.pc
%{mingw32_libdir}/cmake/WebP/
%{mingw32_libdir}/libwebp.dll.a
%{mingw32_libdir}/libwebpdecoder.dll.a
%{mingw32_libdir}/libwebpdemux.dll.a
%{mingw32_libdir}/libwebpmux.dll.a
%{mingw32_libdir}/libsharpyuv.dll.a

# Win64
%files -n mingw64-libwebp
%license PATENTS COPYING
%{mingw64_bindir}/cwebp.exe
%{mingw64_bindir}/dwebp.exe
%{mingw64_bindir}/gif2webp.exe
%{mingw64_bindir}/img2webp.exe
%{mingw64_bindir}/webpinfo.exe
%{mingw64_bindir}/webpmux.exe
%{mingw64_bindir}/libwebp-7.dll
%{mingw64_bindir}/libwebpdecoder-3.dll
%{mingw64_bindir}/libwebpdemux-2.dll
%{mingw64_bindir}/libwebpmux-3.dll
%{mingw64_bindir}/libsharpyuv-0.dll
%{mingw64_includedir}/webp/
%{mingw64_libdir}/pkgconfig/libwebp.pc
%{mingw64_libdir}/pkgconfig/libwebpdecoder.pc
%{mingw64_libdir}/pkgconfig/libwebpdemux.pc
%{mingw64_libdir}/pkgconfig/libwebpmux.pc
%{mingw64_libdir}/pkgconfig/libsharpyuv.pc
%{mingw64_libdir}/cmake/WebP/
%{mingw64_libdir}/libwebp.dll.a
%{mingw64_libdir}/libwebpdecoder.dll.a
%{mingw64_libdir}/libwebpdemux.dll.a
%{mingw64_libdir}/libwebpmux.dll.a
%{mingw64_libdir}/libsharpyuv.dll.a



%changelog
* Sat Jun 22 2024 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2076098
- new version: 1.4.0

* Wed Sep 20 2023 daviddavid <daviddavid> 1.3.2-1.mga10
+ Revision: 1988755
- new version: 1.3.2

* Fri Jan 13 2023 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1932777
- new version: 1.3.0
- switch to cmake build system
- new libsharpyuv package
- enable mingw-giflib support

* Thu Dec 01 2022 daviddavid <daviddavid> 1.2.4-1.mga9
+ Revision: 1913602
- new version: 1.2.4

* Fri Mar 25 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1825478
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1693314
- new version: 1.2.0

* Sat Sep 26 2020 tv <tv> 1.1.0-3.mga8
+ Revision: 1630207
- rebuild for new mingw stack

* Wed Feb 19 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1542836
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1477085
- new version: 1.1.0

* Mon Jul 15 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1421527
- new version: 1.0.3

* Tue Jan 22 2019 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1359397
- new version: 1.0.2

* Mon Nov 19 2018 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1331732
- new version: 1.0.1

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1279920
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1237078
- new version: 1.0.0

* Mon Jan 23 2017 akien <akien> 0.5.2-1.mga6
+ Revision: 1083100
- Version 0.5.2

* Wed May 11 2016 tv <tv> 0.5.0-1.mga6
+ Revision: 1012742
- new release

* Fri Feb 05 2016 umeabot <umeabot> 0.2.1-6.mga6
+ Revision: 939791
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 749494
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 682493
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 0.2.1-3.mga4
+ Revision: 547551
- imported package mingw-libwebp


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 25 2013 Paweł Forysiuk <tuxator@o2.pl> - 0.2.1-2
- Fix Buildrequires
- Add COPYING files

* Sun Dec 30 2012 Paweł Forysiuk <tuxator@o2.pl> - 0.2.1-1
- Initial packaging

